<script setup lang="ts">
import { ref, type Ref } from 'vue'

const thoughts: Ref<{ text: string; author: string }[]> = ref([
  { text: 'Incredibly audacious', author: 'Rock, Paper, Shotgun probablement' },
  { text: "Tu peux donner le bain aux petits s'il te plait ?", author: 'Ma femme' },
  { text: 'Lorem ipsum dolor sit amet', author: 'Certainement pas un Romain' }
])
</script>

<template>
  <div class="flex flex-col mt-6">
    <div class="p-4 gap-4 justify-center text-center items-start block md:flex">
      <div class="max-w-2xl flex flex-col gap-3 items-center">
        <p class="text-5xl">Le blind test pour tous ! 🎶</p>
        <p class="text-xl">Compétitif, casual, il y en a pour tous les goûts !</p>
        <div class="divider"></div>
        <div class="text-2xl">Ce qu'ils en pensent</div>

        <div
          class="carousel carousel-center bg-neutral space-x-4 p-4 rounded-box max-w-full scroll-auto"
        >
          <div
            class="carousel-item card w-64 bg-base-100"
            v-for="(thought, index) in thoughts"
            :key="index"
          >
            <div class="card-body">
              <span class="card-title">{{ thought.text }}</span>
              <p>{{ thought.author }}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
